public class truck 
{
vehicle v;	

public truck(String i_marka,double i_motor,String i_renk,double i_agirlik)
{v=new vehicle("truck",i_marka,i_motor,i_renk,i_agirlik);}

public truck()
{ v=new vehicle();
  v.vehicletype="truck";
}
public truck(truck A)
{v=new vehicle(A.v);
 v.vehicletype="truck";
}

}